Calcula a área do último objeto desenhado

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)
Mais um exemplo:

;; Calcula a área do último objeto desenhado e a escreve no ponto clicado

(defun c:AreaLast ()
(command “area” “o” “l” “”)
(setq p1 (getpoint “P …”))
(setq ar (rtos (getvar “area”) 2 1))
(setq ar (strcat ar “m2”))
(command “text” p1 “.15” “” ar)
(setq o (ssget “l”))
(command “text” “” ar)
(command “erase” o “”)
)

Anúncios

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em Arquitetura, AutoCAD, Autolisp, Área, Desenho, Engenharia Civil. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s